Package org.gradle.api.tasks

## Interface TaskInputPropertyBuilder

- All Superinterfaces:
    `CompatibilityAdapterForTaskInputs`, `TaskInputs`, `TaskPropertyBuilder`

      public interface TaskInputPropertyBuilder
      extends TaskPropertyBuilder, TaskInputs

  Describes an input property of a task.
  Since:
    4.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskInputPropertyBuilder` | `optional​(boolean optional)` | Sets whether the task property is optional.

    - ### Methods inherited from interface org.gradle.api.tasks.TaskInputs

      `dir, file, files, getFiles, getHasInputs, getHasSourceFiles, getProperties, getSourceFiles, properties, property`

- - ### Method Detail

    - #### optional

          TaskInputPropertyBuilder optional​(boolean optional)

      Sets whether the task property is optional. If the task property is optional, it means that a value does not have to be specified for the property, but any value specified must meet the validation constraints for the property.